<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Facebook Connect Panel v1.0
| Filename: facebook_connect_panel_admin.php
| Author: Ankur Thakur
| Version: 1.0
| Developers: Ankur Thakur
|             http://ankurthakur.in/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";

if (!checkrights("FCP")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."facebook_connect_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."facebook_connect_panel/locale/".$settings['locale'].".php";
     } else {
   include INFUSIONS."facebook_connect_panel/locale/English.php"; 
}

// Manual Function to Check for New Version
function check_version($cur_version, $url, $addon_name)
{
	global $locale;
	$version = 0;
	if (!isset($_COOKIE['fcp_version']) || !isset($_COOKIE['fcp_link']))	{
		$xml = simplexml_load_file($url);
		foreach($xml->addon as $addon) {
		if($addon['name'] == $addon_name)
		{	$version = $addon['version'];
			$link = $addon->link;	}
		}
		setcookie("fcp_version", $version, time()+60*60*24);
		setcookie("fcp_link", $link, time()+60*60*24);
	}
	else {
		$version = $_COOKIE['fcp_version'];
		$link = $_COOKIE['fcp_link'];
	}
	if($cur_version < $version) {
		echo "\n<a href='".$link."' target='_blank'><font color='#ff0000'><b>* ".$addon_name.$locale['update_001'].$version.$locale['update_002']."</b></font></a><br />\n";
	}
}

// Creating Info for Errors
if (isset($_GET['error']) && isnum($_GET['error'])) {
	if ($_GET['error'] == 0) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

// Creating Info for Actions
if (isset($_GET['action'])) {
	if ($_GET['action'] == 'install') {
		$message = $locale['action_install'];
	}
	else if ($_GET['action'] == 'uninstall') {
		$message = $locale['action_uninstall'];
	}
	else if ($_GET['action'] == 'unlink') {
		$message = $locale['action_unlink'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

// Install
if (isset($_POST['installfcp']))
{
	$result = dbquery("ALTER TABLE ".DB_USERS." ADD user_fbauthid BIGINT(20) UNSIGNED NOT NULL DEFAULT '0'");
	if (!$result)	{
			redirect(FUSION_SELF.$aidlink."&error=0");
		}
	else {
			redirect(FUSION_SELF.$aidlink."&action=install");
		}
}

// Uninstall
if (isset($_POST['uninstallfcp']))
{
	$result = dbquery("ALTER TABLE ".DB_USERS." DROP user_fbauthid");
	if (!$result)	{
			redirect(FUSION_SELF.$aidlink."&error=0");
		}
	else {
			redirect(FUSION_SELF.$aidlink."&action=uninstall");
		}
}

// Un-Link User
if (isset($_GET['unlink']) && isNum($_GET['unlink']))
{
	$result = dbquery("UPDATE ".DB_USERS." SET user_fbauthid='0' WHERE user_id='".$_GET['unlink']."'");
	if (!$result) { redirect(FUSION_SELF.$aidlink."&error=0"); }	else {	redirect(FUSION_SELF.$aidlink."&action=unlink");	}
}

// For Page Navigation
if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) {
	$rowstart = $_GET['rowstart'];
} else {
	$rowstart = 0;
}

// Warning to Edit config.php
echo "<div class='admin-message'>".$locale['admin_warning']."</div>\n";

opentable($locale['admin_install']);

$checkpanelstatus1 = dbquery("SELECT panel_status FROM ".DB_PANELS. " WHERE panel_filename='facebook_connect_panel' AND panel_status=1");
$checkpanelstatus2 = dbquery("SELECT panel_status FROM ".DB_PANELS. " WHERE panel_filename='facebook_connect_debug_panel' AND panel_status=1");
if (dbrows($checkpanelstatus1) == 1)
{
	echo "<img src='".INFUSIONS."facebook_connect_panel/images/enabled.png' alt='' />&nbsp;<b>".$locale['fpc_panel_001']." ".$locale['fpc_panel_en']." ".$locale['fpc_panel_002']."</b><br />\n";
}
else
{
	echo "<img src='".INFUSIONS."facebook_connect_panel/images/disabled.png' alt='' />&nbsp;<b>".$locale['fpc_panel_001']." ".$locale['fpc_panel_ds']." ".$locale['fpc_panel_002']."</b><br />\n";
}
if (dbrows($checkpanelstatus2) == 1)
{
	echo "<img src='".INFUSIONS."facebook_connect_panel/images/enabled.png' alt='' />&nbsp;<b>".$locale['fpc_panel_003']." ".$locale['fpc_panel_en']." ".$locale['fpc_panel_002']."</b><br />\n";
}
else
{
	echo "<img src='".INFUSIONS."facebook_connect_panel/images/disabled.png' alt='' />&nbsp;<b>".$locale['fpc_panel_003']." ".$locale['fpc_panel_ds']." ".$locale['fpc_panel_002']."</b><br />\n";
}

if (!array_key_exists('user_fbauthid', $userdata))
{
	echo "<br />\n<div>".$locale['not_installed']."<br />\n";
	echo "<form name='infusion_install' method='post' action='".FUSION_SELF.$aidlink."'>\n";
	echo "<input type='submit' name='installfcp' value='".$locale['admin_install_btn']."' class='button' />\n";
	echo "</form>\n</div>\n";
}
else
{
	echo "<div>".$locale['yes_installed']."<br /><br />\n";
	echo "<form name='infusion_uninstall' method='post' action='".FUSION_SELF.$aidlink."'>\n";
	echo "<input type='submit' name='uninstallfcp' value='".$locale['admin_uninstall_btn']."' class='button' onclick=\"return confirm('".$locale['uninstall_confirm']."');\" />\n";
	echo "</form>\n</div>\n";
}

closetable();

if (array_key_exists('user_fbauthid', $userdata))
{
opentable($locale['admin_title']);

echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border center'>\n<tr>\n";
echo "<td class='tbl2' style='text-align: center;'><b>".$locale['fpc_admin_001']."</b></td>";
echo "<td class='tbl2' style='text-align: center;'><b>".$locale['fpc_admin_002']."</b></td>";
echo "<td class='tbl2' style='text-align: center;'><b>".$locale['fpc_admin_003']."</b></td>\n</tr>\n";

$rows_per_page = 10;
$users = dbquery("SELECT user_id, user_name, user_status, user_fbauthid FROM ".DB_USERS." WHERE user_fbauthid<>'0' ORDER BY user_name LIMIT ".$rowstart.",".$rows_per_page);
$rows = dbcount("(user_id)", DB_USERS, "user_fbauthid<>'0'");

while ($data = dbarray($users))
{
	echo "<tr>\n<td class='tbl1' style='text-align: center;'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n";
	echo "<td class='tbl1' style='text-align: center;'><a href='http://www.facebook.com/profile.php?id=".$data['user_fbauthid']."' target='_blank'>".$data['user_fbauthid']."</a></td>\n";
	echo "<td class='tbl1' style='text-align: center;'><a href='".FUSION_SELF.$aidlink."&amp;unlink=".$data['user_id']."' onclick=\"return confirm('".$locale['unlink_confirm']."');\">".$locale['fpc_admin_003']."</a></td>\n</tr>\n";
}

echo "</table>\n";

if ($rows > $rows_per_page) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$rows_per_page,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";

// Infusion Author Copyright
echo "<div class='admin-message'>\n";
if (iSUPERADMIN)	{	check_version('1.0','http://ankurthakur.in/infusions/dev_showcase/addons.xml', 'Facebook Connect Panel');	}
echo "<b>".$locale['cr_author']."</b>\n";
echo "</div>\n";

closetable();
}

require_once THEMES."templates/footer.php";
?>