<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Facebook Connect Panel v1.0
| Filename: redirect.php
| Author: Ankur Thakur
| Version: 1.0
| Developers: Ankur Thakur
|             http://ankurthakur.in/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

// Including the Facebook PHP SDK
require 'includes/facebook.php';

// Including Settings
require 'includes/config.php';

// Starting Session
$facebook = new Facebook(array(
  'appId'  => $appid,
  'secret' => $secretkey,
));

// If User if Logging Out, then Destroy Old Facebook App Session and Start a New one
if (isset($_GET['logout']) && ($_GET['logout'] == 1))
{
	// Destroying Old Session
	$facebook->destroySession();

	// Starting New Session
	$facebook = new Facebook(array(
	  'appId'  => $appid,
	  'secret' => $secretkey,
	));

	// Destroying Session Values
	$_SESSION['fbc_status'] = 0;
	unset($_SESSION['user_profiledata']);
	unset($_SESSION['fbc_userid']);
	unset($_SESSION['fbc_username']);
	unset($_SESSION['fbc_useremail']);
	//unset($_SESSION['fbc_userbirthday']);

	header("Location: ".$websiteurl."index.php?logout=yes");
}

// Get User ID
$user = $facebook->getUser();

if ($user)
{
	// If User is Connected, Get the Log Out URL which will Log out of Facebook too
	// No need of this URL, because I am Logging you out of App, not facebook
	//$logoutUrl = $facebook->getLogoutUrl();
	try {
		$user_profiledata = $facebook->api('/me');
	} catch (FacebookApiException $e) {
		error_log($e);
		$user = null;
	}
	$_SESSION['user_profiledata'] = $user_profiledata;
	//$_SESSION['logouturl'] = $logoutUrl;
}
else
{
	// Get the Login URL, to connect to the App
	$loginUrl = $facebook->getLoginUrl(array( 'scope' => 'email'));

	// Save the URL in Session so that we can use it for Redirection
	$_SESSION['loginurl'] = $loginUrl;
}

$user_profiledata = $_SESSION['user_profiledata'];

if(!empty($user_profiledata))
{
	// Set the User Connected Status to 1
	$_SESSION['fbc_status'] = 1;

	// Save the User Details in Sessions
	$_SESSION['fbc_userid'] = $user_profiledata['id'];
	$_SESSION['fbc_username'] = $user_profiledata['name'];
	$_SESSION['fbc_useremail'] = $user_profiledata['email'];
	//$_SESSION['fbc_userbirthday'] = $user_profiledata['birthday'];
}
else
{
	// Set the User Connected Status to 0
	$_SESSION['fbc_status'] = 0;
}

if (isset($_GET['login']) && ($_GET['login'] == 1) && !isset($_GET['state']))
{
	// When the User has not Authorized via Facebook yet
	header("Location: ".$_SESSION['loginurl']);
}

if (isset($_GET['login']) && ($_GET['login'] == 1) && isset($_GET['state']))
{
	// When the User has successfully Authorized via Facebook and back to this page, redirect him back to Website
	$_SESSION['fbc_status'] = 1;
	header("Location: ".$websiteurl."index.php");
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>Facebook Connect Panel v1.00 - Ankur Thakur</title>
<meta property="og:title" content="Facebook Connect Panel v1.0 for PHP-Fusion v7.02+" />
<meta property="og:type" content="website" />
<meta property="og:url" content="<?php echo $websiteurl."infusions/facebook_connect_panel/redirect.php"; ?>" />
<meta property="og:image" content="<?php echo $websiteurl."infusions/facebook_connect_panel/images/fbconnect.png"; ?>" />
</head>

<body>

<!-- Facebook Connect Panel v1.0 - Ankur Thakur - Visit ankurthakur.in for more Addons and Themes -->

</body>
</html>